Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1329 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

Locking Hashup (2?) - Contend against the same contexts

Reported by: mentor Assigned to: mentor
Priority: major Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

I don't think the current locking structure in the driver is correct. I think that we must always use the function that of the lowest context against which we are contending.

Here is a patch

Attachments

madwifi-locks.diff (9.1 kB) - added by mentor on 05/21/07 01:06:45.
Version 1
madwifi-locks.2.diff (29.1 kB) - added by mentor on 05/22/07 16:34:43.
Version 2
madwifi-locks.3.diff (36.7 kB) - added by mentor on 05/27/07 06:50:19.
Locally tested (and working!) version

Change History

05/21/07 01:06:45 changed by mentor

  • attachment madwifi-locks.diff added.

Version 1

05/22/07 16:34:43 changed by mentor

  • attachment madwifi-locks.2.diff added.

Version 2

05/27/07 06:50:19 changed by mentor

  • attachment madwifi-locks.3.diff added.

Locally tested (and working!) version

05/27/07 22:09:26 changed by mentor

05/29/07 04:49:14 changed by mrenzmann

  • milestone set to version 0.9.4.

06/01/07 17:07:01 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

02/11/08 06:18:24 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.